Søg i Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

why updating libnpjp2.so still shows old JRE reference in Mozilla 17 ?

  • 2 svar
  • 1 har dette problem
  • 1555 visninger
  • Seneste svar af cor-el

more options

1) I am using RHEL 6.3 workstation. 2) Previously installed Firefox 17. 3) Updated java plugin as follows:

=================================

[root@user plugins]# pwd /usr/lib/mozilla/plugins [root@user plugins]# ln -s /installed/jdk/hotspot/jdk1.7.0_10/jre/lib/amd64/libnpjp2.so

=================================

4) Started Firefox, and executed about:plugins. 5) I still see

Java(TM) Plug-in 1.6.0_29

File: libnpjp2.so

I am failing to understand why it is not taking the 1.7.0_10 nd refering to the old reference.

I have followed the following link : http://www.oracle.com/technetwork/java/javase/manual-plugin-install-linux-136395.html AND http://support.mozilla.org/en-US/kb/use-java-plugin-to-view-interactive-content.

Any pointers or help would be of great help.

Ændret af FoxThought den

Valgt løsning

I have resolved the issue in these simple steps.

1)The "/installed/jdk/hotspot/jdk1.7.0_10/jre/lib/amd64/libnpjp2.so" which has the reference link to jre_1.7_10 (Please see the step 3 "Updated java plugin" in Post above) , Have copied this file to $HOME/.mozilla/plugins/ folder as follows:

[user@user plugins]$ cp /usr/lib/mozilla/plugins/libnpjp2.so .

2) started the Firefox.

3) Now, when I check the version of java in about:plugins it shows : "Java(TM) Plug-in 1.7.0_10"

4) Also tested in "http://www.java.com/en/download/testjava.jsp" its working and shows:


javase 7 update 10. :)

Læs dette svar i sammenhæng 👍 0

Alle svar (2)

more options

Valgt løsning

I have resolved the issue in these simple steps.

1)The "/installed/jdk/hotspot/jdk1.7.0_10/jre/lib/amd64/libnpjp2.so" which has the reference link to jre_1.7_10 (Please see the step 3 "Updated java plugin" in Post above) , Have copied this file to $HOME/.mozilla/plugins/ folder as follows:

[user@user plugins]$ cp /usr/lib/mozilla/plugins/libnpjp2.so .

2) started the Firefox.

3) Now, when I check the version of java in about:plugins it shows : "Java(TM) Plug-in 1.7.0_10"

4) Also tested in "http://www.java.com/en/download/testjava.jsp" its working and shows:


javase 7 update 10. :)

more options

On Linux it is easier and usually better to create a symlink to the Java plugin and copy that link to a location that Firefox scans for plugins (compare that to other installed plugins).